summaryrefslogtreecommitdiff
path: root/dev-python/tornado
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/tornado')
-rw-r--r--dev-python/tornado/Manifest4
-rw-r--r--dev-python/tornado/files/tornado-6.3.2-ignore-deprecationwarning.patch12
-rw-r--r--dev-python/tornado/metadata.xml12
-rw-r--r--dev-python/tornado/tornado-6.5.5.ebuild61
-rw-r--r--dev-python/tornado/tornado-6.5.6.ebuild61
5 files changed, 150 insertions, 0 deletions
diff --git a/dev-python/tornado/Manifest b/dev-python/tornado/Manifest
new file mode 100644
index 000000000000..e81e030fb98c
--- /dev/null
+++ b/dev-python/tornado/Manifest
@@ -0,0 +1,4 @@
+DIST tornado-6.5.5.tar.gz 516006 BLAKE2B b744e5d99fe1ffe1f8e8546457e53d5b995daed09c010b90026e4a037a6e22453b9bd5978c078b91b55f97a2852f661fda6e79b6e0f0efea35628c99ff61afcb SHA512 fbf1e4f74920e8d9a17663e75ff39c34dbefefd0e3df692716d01abae0e1747578e0a59c174591f8f03980702f18a0c935105840953cd3f7ef2c200e9f3cf491
+DIST tornado-6.5.5.tar.gz.provenance 9424 BLAKE2B 51c7d29182ff9d88ca37fbd3572d3d73504f3d97f81799b35fc79a4f56224f4525c77dbdf25fc9a455d83536d1ada060b9e36c035da9279bf1e74fd39f53c38a SHA512 15d5fe16e96037c16dae4b744ecd3a8d9d460558c050bb438a6415523ae0881b2750616f258ea3314eb5db75e134e36b177d67eff1b349a1522aec1c9284ea97
+DIST tornado-6.5.6.tar.gz 518139 BLAKE2B 2707573e1e2d87ff59b8b353db982afeb653b24914c53f06b8ae784571533043aed8cb5b80e4a9aca7da735a129b8c027391475c91d497656553e99b9c8d8cf2 SHA512 7618d73a0bab94f91624ad9279368e0f4ec87de6139cfc9c0efff491eeced4d57310422754c629e5ea58a3c86902f8916ebe0f0989d509c56333680ac6a2bb03
+DIST tornado-6.5.6.tar.gz.provenance 9706 BLAKE2B d15888fcdcbecd80a6b3c198e6eb5399e7965c3387f57306eba36c47a07946936bc28a136e696b04406cfd1ee059e6bb6c1802e1b283bbc46c4ef62dcfc4df51 SHA512 3d5f81149d4282d872770092fa0e0a6eaa83238b47cebee3fc1ed8afd5ef5514e44a348ca0ee5c82b686d189410e3688553661d27c6856bb363e02400f104cf9
diff --git a/dev-python/tornado/files/tornado-6.3.2-ignore-deprecationwarning.patch b/dev-python/tornado/files/tornado-6.3.2-ignore-deprecationwarning.patch
new file mode 100644
index 000000000000..7a6139173faf
--- /dev/null
+++ b/dev-python/tornado/files/tornado-6.3.2-ignore-deprecationwarning.patch
@@ -0,0 +1,12 @@
+https://src.fedoraproject.org/rpms/python-tornado/raw/rawhide/f/Do-not-turn-DeprecationWarning-into-Exception.patch
+--- a/tornado/test/runtests.py
++++ b/tornado/test/runtests.py
+@@ -126,7 +126,6 @@
+ # Tornado generally shouldn't use anything deprecated, but some of
+ # our dependencies do (last match wins).
+ warnings.filterwarnings("ignore", category=DeprecationWarning)
+- warnings.filterwarnings("error", category=DeprecationWarning, module=r"tornado\..*")
+ warnings.filterwarnings("ignore", category=PendingDeprecationWarning)
+ warnings.filterwarnings(
+ "error", category=PendingDeprecationWarning, module=r"tornado\..*"
+
diff --git a/dev-python/tornado/metadata.xml b/dev-python/tornado/metadata.xml
new file mode 100644
index 000000000000..59fddd88d993
--- /dev/null
+++ b/dev-python/tornado/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:tornadoweb:tornado</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/tornado/tornado-6.5.5.ebuild b/dev-python/tornado/tornado-6.5.5.ebuild
new file mode 100644
index 000000000000..f73a5bc3e333
--- /dev/null
+++ b/dev-python/tornado/tornado-6.5.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/tornadoweb/tornado
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python web framework and asynchronous networking library"
+HOMEPAGE="
+ https://www.tornadoweb.org/
+ https://github.com/tornadoweb/tornado/
+ https://pypi.org/project/tornado/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/pycurl-7.19.3.1[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.3.2-ignore-deprecationwarning.patch"
+)
+
+src_prepare() {
+ # network-sandbox? ipv6?
+ sed -i -e 's:test_localhost:_&:' \
+ tornado/test/netutil_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x ASYNC_TEST_TIMEOUT=60
+ # Avoid time-sensitive tests
+ # https://github.com/tornadoweb/tornado/blob/10974e6ebee80a26a2a65bb9bd715cf858fafde5/tornado/test/util.py#L19
+ local -x TRAVIS=1
+ local -x NO_NETWORK=1
+
+ cd "${T}" || die
+ "${EPYTHON}" -m tornado.test.runtests --verbose ||
+ die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/tornado/tornado-6.5.6.ebuild b/dev-python/tornado/tornado-6.5.6.ebuild
new file mode 100644
index 000000000000..34eff013d738
--- /dev/null
+++ b/dev-python/tornado/tornado-6.5.6.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/tornadoweb/tornado
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python web framework and asynchronous networking library"
+HOMEPAGE="
+ https://www.tornadoweb.org/
+ https://github.com/tornadoweb/tornado/
+ https://pypi.org/project/tornado/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/pycurl-7.19.3.1[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.3.2-ignore-deprecationwarning.patch"
+)
+
+src_prepare() {
+ # network-sandbox? ipv6?
+ sed -i -e 's:test_localhost:_&:' \
+ tornado/test/netutil_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x ASYNC_TEST_TIMEOUT=60
+ # Avoid time-sensitive tests
+ # https://github.com/tornadoweb/tornado/blob/10974e6ebee80a26a2a65bb9bd715cf858fafde5/tornado/test/util.py#L19
+ local -x TRAVIS=1
+ local -x NO_NETWORK=1
+
+ cd "${T}" || die
+ "${EPYTHON}" -m tornado.test.runtests --verbose ||
+ die "tests failed under ${EPYTHON}"
+}